Subject: Re: cygnus bugs
From: [email-masked] ("$Bill Luebkert")

14 Jul 1997 01:15:31 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
Reply-To: [email-masked]
X-Mailer: Mozilla 3.01Gold (Win95; I)
MIME-Version: 1.0
Original-To: Fergus Henderson <[email-masked]>
Original-CC: [email-masked]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-Sender: [email-masked]

Fergus Henderson wrote:
> 
> [email-masked] (Francis Litterio) writes:
> 
> >[Fergus Henderson wrote:]
> >
> >> Tim Newsham <[email-masked]> writes:
> >>
> >> >- cygwin does not properly transform command line path names across
> >> >  mount points.  If I am on drive "D:" and type "vi /tmp/foo",
> >> >  I end up editing "D:\tmp\foo" and not "C:\tmp\foo" even though
> >> >  "/tmp" is on "C:".  (vi is not compiled with cygwin).
> >> >  Cygwin should transform the path to "C:\tmp\foo" for the benefit
> >> >  of non-cygwin applications.
> >>
> >> How can cygwin know which arguments are pathnames and which are
> >> just ordinary strings that should not be transformed in this manner?
> >
> >Cygwin can know because the strings that are pathnames are passed to
> >open(), [...]
> 
> No, in the case that Tim Newsham was referring to, "vi is not compiled
> with cygwin", and so the strings that are pathnames are not passed
> to cygwin's open().

Maybe what he wants is for bash to transform the paths that 
fall on mountpoints.  This seems fairly trivial.

The mountpoints could be cached for speed, and the args could be 
parsed to see if any of them fall on a mounted filesystem.
Not so tough. :)

The path could then be converted to native filesystem coordinates.
I assume this would be windows specific code (possibly others).

One big advantage is that bash could then run a lot of non-
cygwin apps with no problem.  I like it.  :)

-- 
  ,-/-  __      _  _         $Bill Luebkert
 (_/   /  )    // //       DBE Collectibles
  / ) /--<  o // //      http://www.wgn.net/~dbe/
-/-' /___/_<_</_</_    Email: [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".